IBSPB(3)

NAME
ibspb - obtain length of serial poll bytes queue (device)

SYNOPSIS

#include <gpib/ib.h>

int ibspb(int ud, short *result);

DESCRIPTION

ibspb() obtains the number of serial poll bytes queued for the device specified by ud. The number of queued serial poll bytes is stored in the location specified by result.

If automatic serial polling is enabled on the board controlling the device, the status byte is automatically read and queued whenever the device requests service. Automatic serial polling is controlled with ibconfig().

The queued status bytes are read with ibrsp().

RETURN VALUE

The value of ibsta is returned.

COPYRIGHT
Copyright © 2003-2006, 2008 Frank Mori Hess